org.keycloak.services.resources.admin

## Class ClientInitialAccessResource

- java.lang.Object
- - org.keycloak.services.resources.admin.ClientInitialAccessResource

-     public class ClientInitialAccessResource
      extends Object

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected KeycloakSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientInitialAccessResource(RealmModel realm, AdminPermissionEvaluator auth, AdminEventBuilder adminEvent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientInitialAccessPresentation` | `create(ClientInitialAccessCreatePresentation config, org.jboss.resteasy.spi.HttpResponse response)` Create a new initial access token.
    `void` | `delete(String id)`
    `Stream<ClientInitialAccessPresentation>` | `list()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### session

          @Context
          protected KeycloakSession session

  - ### Constructor Detail

    - #### ClientInitialAccessResource

          public ClientInitialAccessResource(RealmModel realm,
                                             AdminPermissionEvaluator auth,
                                             AdminEventBuilder adminEvent)

  - ### Method Detail

    - #### create

          @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public ClientInitialAccessPresentation create(ClientInitialAccessCreatePresentation config,
                                                                                                                                        @Context
                                                                                                                                        org.jboss.resteasy.spi.HttpResponse response)

      Create a new initial access token.
      Parameters:
        `config` -
      Returns:

    - #### list

          @GET
           @Produces(value="application/json")
          public Stream<ClientInitialAccessPresentation> list()

    - #### delete

          @DELETE
           @Path(value="{id}")
          public void delete(@PathParam(value="id")
                                                          String id)

Copyright © 2020 JBoss by Red Hat. All rights reserved.